#ifndef	V_DXF_H
#define V_DXF_H

/*
 * Limited support for saving geometry data into DFX files.
 * All primitives will be saved on layer 1, without color information.
 */

#ifdef	__cplusplus
extern "C" {
#endif	/* __cplusplus */
	file_t V_GLOBAL	dxfOpenWrite(char *name);
	void V_GLOBAL	dxfLine(file_t dxf,vec3_t p1,vec3_t p2);
	void V_GLOBAL	dxfQuad(file_t dxf,vec3_t p1,vec3_t p2,vec3_t p3,vec3_t p4);
	void V_GLOBAL	dxfTriangle(file_t dxf,vec3_t p1,vec3_t p2,vec3_t p3);
	void V_GLOBAL	dxfClose(file_t dxf);
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_DXF_H */
